diff --git a/packaging/install.sh b/packaging/install.sh
new file mode 100644
index 000000000..53479671c
--- /dev/null
+++ b/packaging/install.sh
@@ -0,0 +1,124 @@
+#!/usr/bin/env bash
+# hive one-liner installer — `curl -fsSL <release>/install.sh | bash`.
+#
+# Detects OS + arch, downloads the prebuilt runtime-free hive binary from
+# GitHub Releases, verifies its SHA-256 against SHA256SUMS, drops it at
+# ~/.local/bin/{hive|hv}, writes the install-method marker (U4/U5/U6) and
+# reports missing runtime deps with hints (R9).
+#
+# Overrides:
+#   HIVE_VERSION    version to install (default: 0.1.0)
+#   HIVE_RELEASE_URL  release base URL (default: GitHub releases)
+#   HIVE_INSTALL_BIN  force the bin name (hive|hv); otherwise auto-detect
+set -euo pipefail
+
+HIVE_VERSION="${HIVE_VERSION:-0.1.0}"
+org_repo="${HIVE_REPO:-ivankuznetsov/hive}"
+BASE_URL="${HIVE_RELEASE_URL:-https://github.com/${org_repo}/releases/download/v${HIVE_VERSION}}"
+BIN_DIR="${HIVE_BIN_DIR:-$HOME/.local/bin}"
+
+# ---- OS / arch detection (tier-1: linux x86_64, macOS arm64; see R16) --
+case "$(uname -s)" in
+  Darwin) os="darwin" ;;
+  Linux)  os="linux" ;;
+  *) echo "hive: unsupported OS '$(uname -s)' (tier-1: macOS arm64, Ubuntu 22.04+, Arch)" >&2; exit 1 ;;
+esac
+
+case "$(uname -m)" in
+  x86_64|amd64)   arch="x86_64" ;;
+  arm64|aarch64)  arch="aarch64" ;;
+  *) echo "hive: unsupported arch '$(uname -m)'" >&2; exit 1 ;;
+esac
+
+# Release-asset tokens: macOS arm64 -> "arm64", Linux arm64 -> "aarch64";
+# x86_64 stays "x86_64" everywhere. macOS x86_64 is tier-2 (best-effort, R16).
+if [ "$os" = "darwin" ]; then
+  if [ "$arch" = "aarch64" ]; then
+    arch="arm64"
+  else
+    echo "hive: macOS x86_64 is tier-2 (best-effort); continuing" >&2
+  fi
+fi
+
+asset="${os}-${arch}"
+url="${BASE_URL}/hive-${asset}"
+sums_url="${BASE_URL}/SHA256SUMS"
+
+# ---- name-conflict fallback (R10) --------------------------------------
+detect_bin_name() {
+  # If a non-hive `hive` is already on PATH (e.g. Apache Hive), install as `hv`.
+  for d in $(echo "$PATH" | tr ':' ' '); do
+    [ -x "$d/hive" ] || continue
+    # A hive we own is either the one we're about to overwrite, or brew/aur
+    # managed. Only avoid the conflict for an ours/absent bin.
+    if [ "$(readlink -f "$d/hive" 2>/dev/null || echo "$d/hive")" = "$BIN_DIR/hive" ] || [ -f "${XDG_STATE_HOME:-$HOME/.local/state}/hive/install-method" ]; then
+      echo "hive" ; return
+    fi
+    echo "hv" ; return
+  done
+  echo "hive"
+}
+
+bin_name="${HIVE_INSTALL_BIN:-$(detect_bin_name)}"
+
+mkdir -p "$BIN_DIR"
+tmp="$(mktemp -d)"
+trap 'rm -rf "$tmp"' EXIT
+
+echo "hive: downloading ${url}"
+curl -fsSL "$url" -o "$tmp/hive"
+chmod +x "$tmp/hive"
+
+# ---- SHA-256 verification ----------------------------------------------
+if curl -fsSL "$sums_url" -o "$tmp/SHA256SUMS" 2>/dev/null; then
+  expected="$(awk -v a="hive-${asset}" '$2==a || $1==a {print $1; exit}' "$tmp/SHA256SUMS")"
+  if [ -n "$expected" ]; then
+    actual="$(shasum -a 256 "$tmp/hive" | awk '{print $1}')"
+    if [ "$actual" != "$expected" ]; then
+      echo "hive: SHA-256 mismatch for hive-${asset} (got $actual, want $expected); aborting" >&2
+      exit 1
+    fi
+    echo "hive: sha256 verified"
+  else
+    echo "hive: no SHA-256 entry for hive-${asset}; skipping verification (found: $(head -1 "$tmp/SHA256SUMS"))" >&2
+  fi
+else
+  echo "hive: SHA256SUMS not available; skipping verification" >&2
+fi
+
+install -m 0755 "$tmp/hive" "$BIN_DIR/$bin_name"
+echo "hive: installed ${bin_name} -> $BIN_DIR/$bin_name"
+
+# ---- install-method marker (U4/U5/U6) ----------------------------------
+state_dir="${XDG_STATE_HOME:-$HOME/.local/state}/hive"
+mkdir -p "$state_dir"
+{
+  cat <<EOF
+---
+channel: script
+package: install.sh
+version: ${HIVE_VERSION}
+bin: ${bin_name}
+EOF
+} > "$state_dir/install-method"
+
+# ---- runtime dependency detection (R9, never auto-installs) ------------
+echo ""
+echo "hive: checking runtime dependencies (hint-only, never auto-installs):"
+for dep in git bash gh jq claude; do
+  if command -v "$dep" >/dev/null 2>&1; then
+    echo "  [ok]   $dep"
+  else
+    case "$dep" in
+      git)  hint="brew install git / apt-get install git / pacman -S git" ;;
+      bash) hint="bash is required; install your distro's bash package" ;;
+      gh)   hint="brew install gh / apt-get install gh / pacman -S gh cli" ;;
+      jq)   hint="brew install jq / apt-get install jq / pacman -S jq" ;;
+      claude) hint="install the Claude Code CLI (hive routes agent work through it)" ;;
+    esac
+    echo "  [MISS] $dep  (${hint})"
+  fi
+done
+
+echo ""
+echo "hive: installing is complete. Next: run 'hive init' in a git repo, or 'hive --help'."
\ No newline at end of file
diff --git a/test/integration/init_test.rb b/test/integration/init_test.rb
index 0b4238612..b27615ec1 100644
--- a/test/integration/init_test.rb
+++ b/test/integration/init_test.rb
@@ -1,9 +1,23 @@
 require "test_helper"
 require "hive/commands/init"
+require "hive/service"
 
 class InitTest < Minitest::Test
   include HiveTestHelper
 
+  # U3: init now writes a daemon OS unit. Keep that hermetic by pointing the
+  # service home at a temp dir so no unit lands in the real user home during
+  # tests.
+  def setup
+    @service_home = Dir.mktmpdir("hive-service-home")
+    Hive::Service.home_override = @service_home
+  end
+
+  def teardown
+    Hive::Service.home_override = nil
+    FileUtils.rm_rf(@service_home) if @service_home
+  end
+
   def test_initializes_project_with_orphan_branch_and_global_registration
     with_tmp_global_config do
       with_tmp_git_repo do |dir|
@@ -207,14 +221,14 @@ class InitTest < Minitest::Test
 
   def test_init_with_piped_user_choices_writes_matching_config
     # Order matches Prompts#collect: planning, development, reviewers,
-    # triage bias, 9 limit prompts, daemon-enable, confirm. Choose codex
-    # for both, safetyist triage, only first + third reviewer, override
-    # `plan` budget/timeout, accept the rest (daemon defaults to enabled on
-    # blank, confirm defaults to yes on blank).
+    # triage bias, 9 limit prompts, daemon-enable, provider, model, confirm.
+    # Choose codex for both, safetyist triage, only first + third reviewer,
+    # override `plan` budget/timeout, accept the rest (daemon defaults to
+    # enabled on blank, provider/model blank, confirm defaults to yes on blank).
     inputs = [
       "codex", "2", "1,3", "safetyist",
       "", "30,900", "", "", "", "", "", "", "",
-      "", ""
+      "", "", "", ""
     ].join("\n") + "\n"
     with_tmp_global_config do
       with_tmp_git_repo do |dir|
@@ -244,7 +258,8 @@ class InitTest < Minitest::Test
 
   def test_init_with_daemon_disabled_writes_disabled_config
     # Same shape as above but explicitly answer `n` to the daemon prompt.
-    inputs = (([ "" ] * 13) + [ "n", "" ]).join("\n") + "\n"
+    # Trailing: daemon(n), provider(blank), model(blank), confirm(blank).
+    inputs = (([ "" ] * 13) + [ "n", "", "", "" ]).join("\n") + "\n"
     with_tmp_global_config do
       with_tmp_git_repo do |dir|
         prompts = make_tty_prompts(inputs)
@@ -257,10 +272,57 @@ class InitTest < Minitest::Test
     end
   end
 
+  # U3: interactive init captures first-run provider/model into the global
+  # (~/.config/hive / HIVE_HOME) config, and registers the daemon OS unit
+  # (systemd-user on Linux) without autostarting it (the autostart prompt
+  # reads real $stdin, which is non-TTY in tests -> default no action).
+  def test_init_writes_first_run_config_and_daemon_unit
+    bin = "/usr/local/bin/hive"
+    old_bin = ENV["HIVE_BIN"]
+    ENV["HIVE_BIN"] = bin
+    inputs = [
+      "claude", "codex", "", "",
+      "", "", "", "", "", "", "", "", "",
+      "", "anthropic", "claude-sonnet-4-5", ""
+    ].join("\n") + "\n"
+    with_tmp_global_config do |home|
+      with_tmp_git_repo do |dir|
+        prompts = make_tty_prompts(inputs)
+        capture_io { Hive::Commands::Init.new(dir, prompts: prompts).call }
+
+        global = YAML.safe_load(File.read(File.join(home, "config.yml")))
+        assert_equal "anthropic", global.dig("first_run", "provider")
+        assert_equal "claude-sonnet-4-5", global.dig("first_run", "model")
+        assert global["registered_projects"].any? { |pr| pr["name"] == File.basename(dir) }
+
+        unit = Hive::Service.unit_path
+        assert File.exist?(unit), "hive init must write the daemon OS unit"
+        content = File.read(unit)
+        assert_includes content, "ExecStart=#{bin} daemon start"
+      end
+    end
+  ensure
+    old_bin ? ENV["HIVE_BIN"] = old_bin : ENV.delete("HIVE_BIN")
+  end
+
+  # U3: a non-interactive (CI / non-TTY) init must not fabricate a provider;
+  # the default provider with no model is a no-op write.
+  def test_init_non_interactive_does_not_write_first_run_provider
+    with_tmp_global_config do |home|
+      with_tmp_git_repo do |dir|
+        capture_io { Hive::Commands::Init.new(dir).call }
+        global = YAML.safe_load(File.read(File.join(home, "config.yml")))
+        assert_nil global["first_run"],
+                   "non-interactive init must not fabricate a first-run provider"
+      end
+    end
+  end
+
   def test_init_aborts_with_zero_disk_state_when_user_says_n
     # Blank for everything until confirmation; answer `n` at the end.
-    # 14 blanks: planning, dev, reviewers, triage bias, 9 limits, daemon-enable.
-    inputs = (([ "" ] * 14) + [ "n" ]).join("\n") + "\n"
+    # 16 blanks: planning, dev, reviewers, triage bias, 9 limits, daemon,
+    # provider, model. Then `n` on confirm.
+    inputs = (([ "" ] * 16) + [ "n" ]).join("\n") + "\n"
     with_tmp_global_config do
       with_tmp_git_repo do |dir|
         prompts = make_tty_prompts(inputs)
diff --git a/test/unit/commands/init/prompts_test.rb b/test/unit/commands/init/prompts_test.rb
index 734b955d9..d97fc9a0d 100644
--- a/test/unit/commands/init/prompts_test.rb
+++ b/test/unit/commands/init/prompts_test.rb
@@ -46,7 +46,9 @@ class InitPromptsTest < Minitest::Test
       "timeouts" => Hive::Commands::Init::Prompts::LIMIT_KEYS.each_with_object({}) do |k, h|
         h[k] = Hive::Config::DEFAULTS["timeout_sec"][k]
       end,
-      "daemon_enabled" => true
+      "daemon_enabled" => true,
+      "provider" => Hive::Commands::Init::Prompts::DEFAULT_PROVIDER,
+      "model" => nil
     }
   end
 
@@ -62,8 +64,10 @@ class InitPromptsTest < Minitest::Test
   #  15. confirmation Y/n
   # Each line is one answer; blank line = accept default.
   def interactive_input(planning: "", development: "", reviewers: "",
-                        triage_bias: "", limits: ([ "" ] * 9), daemon: "", confirm: "")
-    [ planning, development, reviewers, triage_bias, *limits, daemon, confirm ].map { |a| "#{a}\n" }.join
+                        triage_bias: "", limits: ([ "" ] * 9), daemon: "",
+                        confirm: "", provider: "default", model: "")
+    [ planning, development, reviewers, triage_bias, *limits, daemon,
+      provider, model, confirm ].map { |a| "#{a}\n" }.join
   end
 
   # --- non-TTY: short-circuit to defaults ----------------------------------
@@ -141,7 +145,7 @@ class InitPromptsTest < Minitest::Test
     # 16 reads total: planning (invalid + retry) + dev + reviewers
     # + triage bias + 9 limits + daemon + confirm. Each blank line
     # accepts the default.
-    raw = ([ "nonexistent", "claude" ] + ([ "" ] * 14)).join("\n") + "\n"
+    raw = ([ "nonexistent", "claude" ] + ([ "" ] * 16)).join("\n") + "\n"
     prompts, output, _summary = make_prompts(raw)
     answers = prompts.collect
     assert_equal "claude", answers["planning_agent"]
@@ -149,7 +153,7 @@ class InitPromptsTest < Minitest::Test
   end
 
   def test_interactive_planning_agent_index_out_of_range_reprompts
-    raw = ([ "7", "claude" ] + ([ "" ] * 14)).join("\n") + "\n"
+    raw = ([ "7", "claude" ] + ([ "" ] * 16)).join("\n") + "\n"
     prompts, output, _summary = make_prompts(raw)
     answers = prompts.collect
     assert_equal "claude", answers["planning_agent"]
@@ -189,7 +193,7 @@ class InitPromptsTest < Minitest::Test
     # Build the input manually since interactive_input doesn't allow
     # multi-line reviewer answers cleanly. Trailing values are triage
     # bias, nine limits, daemon, and confirm.
-    input = ([ "", "", "7", "1,2" ] + ([ "" ] * 12)).join("\n") + "\n"
+    input = ([ "", "", "7", "1,2" ] + ([ "" ] * 14)).join("\n") + "\n"
     prompts, output = make_prompts(input)
     answers = prompts.collect
     assert_equal %w[claude-ce-code-review codex-ce-code-review], answers["enabled_reviewers"]
@@ -197,7 +201,7 @@ class InitPromptsTest < Minitest::Test
   end
 
   def test_interactive_reviewers_unknown_name_reprompts
-    input = ([ "", "", "nope", "1" ] + ([ "" ] * 12)).join("\n") + "\n"
+    input = ([ "", "", "nope", "1" ] + ([ "" ] * 14)).join("\n") + "\n"
     prompts, output = make_prompts(input)
     answers = prompts.collect
     assert_equal %w[claude-ce-code-review], answers["enabled_reviewers"]
@@ -231,7 +235,7 @@ class InitPromptsTest < Minitest::Test
   end
 
   def test_interactive_triage_bias_unknown_reprompts
-    input = ([ "", "", "", "bad", "2" ] + ([ "" ] * 11)).join("\n") + "\n"
+    input = ([ "", "", "", "bad", "2" ] + ([ "" ] * 13)).join("\n") + "\n"
     prompts, output = make_prompts(input)
     answers = prompts.collect
     assert_equal "safetyist", answers["triage_bias"]
@@ -278,7 +282,7 @@ class InitPromptsTest < Minitest::Test
   def test_interactive_limits_zero_budget_reprompts
     # First answer 0,300 fails validation → re-prompt; second answer 10,600 accepted.
     # Trailing pair is daemon + confirm (both blank → daemon enabled, confirm yes).
-    input = ([ "", "", "", "", "0,300", "10,600" ] + ([ "" ] * 10)).join("\n") + "\n"
+    input = ([ "", "", "", "", "0,300", "10,600" ] + ([ "" ] * 12)).join("\n") + "\n"
     prompts, output = make_prompts(input)
     answers = prompts.collect
     assert_equal 10, answers["budgets"]["brainstorm"]
@@ -288,7 +292,7 @@ class InitPromptsTest < Minitest::Test
 
   def test_interactive_limits_malformed_format_reprompts
     # "30" without comma fails the <budget>,<timeout> shape → re-prompt
-    input = ([ "", "", "", "", "30", "30,900" ] + ([ "" ] * 10)).join("\n") + "\n"
+    input = ([ "", "", "", "", "30", "30,900" ] + ([ "" ] * 12)).join("\n") + "\n"
     prompts, output = make_prompts(input)
     answers = prompts.collect
     assert_equal 30, answers["budgets"]["brainstorm"]
@@ -347,7 +351,7 @@ class InitPromptsTest < Minitest::Test
     # daemon slot. interactive_input(daemon: "maybe") provides "maybe" + "" (confirm).
     # We need: maybe (rejected) → y (accepted as daemon=enabled) → blank (confirm).
     # So push two extra reads in.
-    input = interactive_input(daemon: "maybe", confirm: "") + "y\n\n"
+    input = ([ "", "", "", "" ] + ([ "" ] * 9) + [ "maybe", "y", "", "", "" ]).join("\n") + "\n"
     prompts, output = make_prompts(input)
     answers = prompts.collect
     assert_equal true, answers["daemon_enabled"]
@@ -494,7 +498,7 @@ class InitPromptsTest < Minitest::Test
   # validate_reviewers! rejects on the next `hive run`. Re-prompt instead.
   def test_reviewers_comma_only_reprompts
     # Trailing values are triage bias, nine limits, daemon, and confirm.
-    input = ([ "", "", ",", "1" ] + ([ "" ] * 12)).join("\n") + "\n"
+    input = ([ "", "", ",", "1" ] + ([ "" ] * 14)).join("\n") + "\n"
     prompts, output, _summary = make_prompts(input)
     answers = prompts.collect
     assert_equal %w[claude-ce-code-review], answers["enabled_reviewers"]
@@ -502,7 +506,7 @@ class InitPromptsTest < Minitest::Test
   end
 
   def test_reviewers_whitespace_only_reprompts
-    input = ([ "", "", "  ,  ,  ", "2" ] + ([ "" ] * 12)).join("\n") + "\n"
+    input = ([ "", "", "  ,  ,  ", "2" ] + ([ "" ] * 14)).join("\n") + "\n"
     prompts, output, _summary = make_prompts(input)
     answers = prompts.collect
     assert_equal %w[codex-ce-code-review], answers["enabled_reviewers"]
diff --git a/test/unit/install_method_test.rb b/test/unit/install_method_test.rb
new file mode 100644
index 000000000..c575d6354
--- /dev/null
+++ b/test/unit/install_method_test.rb
@@ -0,0 +1,57 @@
+require "test_helper"
+require "hive/install_method"
+require "hive/paths"
+
+# U4/U6 — the install-method marker written by the installers.
+class InstallMethodTest < Minitest::Test
+  include HiveTestHelper
+
+  def setup
+    @old_home = ENV["HOME"]
+    @home = Dir.mktmpdir("hive-im-home")
+    ENV["HOME"] = @home
+  end
+
+  def teardown
+    ENV["HOME"] = @old_home
+    FileUtils.rm_rf(@home) if @home
+  end
+
+  def test_read_returns_nil_when_absent
+    assert_nil Hive::InstallMethod.read
+    assert_nil Hive::InstallMethod.channel
+  end
+
+  def test_write_then_read_round_trip
+    Hive::InstallMethod.write(channel: "script", version: "0.1.0", bin: "hv", package: "install.sh")
+    data = Hive::InstallMethod.read
+    assert_equal "script", data["channel"]
+    assert_equal "0.1.0", data["version"]
+    assert_equal "hv", data["bin"]
+    assert_equal "install.sh", data["package"]
+    assert File.exist?(Hive::InstallMethod.marker_path), "marker must be written to the XDG state dir"
+  end
+
+  def test_write_channel_validates
+    err = assert_raises(ArgumentError) { Hive::InstallMethod.write(channel: "bogus") }
+    assert_match(/unknown channel/, err.message)
+  end
+
+  def test_clear_removes_marker
+    Hive::InstallMethod.write(channel: "brew")
+    Hive::InstallMethod.clear
+    refute File.exist?(Hive::InstallMethod.marker_path)
+    assert_nil Hive::InstallMethod.read
+  end
+
+  def test_read_returns_nil_on_corrupt_marker
+    FileUtils.mkdir_p(File.dirname(Hive::InstallMethod.marker_path))
+    File.write(Hive::InstallMethod.marker_path, "not: [valid\n  yaml")
+    assert_nil Hive::InstallMethod.read, "corrupt marker must be treated as absent (no guessing)"
+    assert_nil Hive::InstallMethod.channel
+  end
+
+  def test_marker_lives_under_xdg_state_dir
+    assert_equal Hive::Paths.state_dir, File.dirname(Hive::InstallMethod.marker_path)
+  end
+end
\ No newline at end of file
diff --git a/test/unit/paths_test.rb b/test/unit/paths_test.rb
new file mode 100644
index 000000000..a262b84fe
--- /dev/null
+++ b/test/unit/paths_test.rb
@@ -0,0 +1,195 @@
+require "test_helper"
+require "hive/paths"
+require "hive/config"
+require "hive/stages/base"
+
+REPO_ROOT = File.expand_path("../..", __dir__)
+
+# U2 — XDG Base Directory path migration. Verifies the resolvers honour the
+# XDG_*_HOME overrides and the standard defaults, and that hive's global
+# config / state files land in XDG dirs (not ~/Dev/hive) for a fresh install.
+class PathsTest < Minitest::Test
+  include HiveTestHelper
+
+  XDG_VARS = %w[XDG_CONFIG_HOME XDG_DATA_HOME XDG_STATE_HOME XDG_CACHE_HOME]
+
+  def teardown
+    XDG_VARS.each { |v| ENV.delete(v) }
+    ENV.delete("HIVE_HOME")
+  end
+
+  # Point HOME at a real temp dir so XDG default paths (which mkdir_p
+  # under) are creatable during the test.
+  def with_home
+    dir = Dir.mktmpdir("hive-home")
+    old = ENV["HOME"]
+    ENV["HOME"] = dir
+    yield dir
+  ensure
+    ENV["HOME"] = old
+    FileUtils.rm_rf(dir) if dir
+  end
+
+  def test_paths_defaults_follow_xdg_layout
+    with_home do |h|
+      p = Hive::Paths
+      assert_equal File.join(h, ".config", "hive"),  p.config_dir
+      assert_equal File.join(h, ".config", "hive", "config.yml"), p.config_path
+      assert_equal File.join(h, ".local", "share", "hive"), p.data_dir
+      assert_equal File.join(h, ".local", "state", "hive"), p.state_dir
+      assert_equal File.join(h, ".cache", "hive"), p.cache_dir
+      assert_equal File.join(h, ".local", "bin"),  p.bin_dir
+    end
+  end
+
+  def test_paths_honor_xdg_env_overrides
+    with_home do |_h|
+      ENV["XDG_CONFIG_HOME"] = "/cfg"
+      ENV["XDG_DATA_HOME"]   = "/dat"
+      ENV["XDG_STATE_HOME"]  = "/st"
+      ENV["XDG_CACHE_HOME"]  = "/ck"
+      assert_equal File.join("/cfg", "hive"), Hive::Paths.config_dir
+      assert_equal File.join("/dat", "hive"), Hive::Paths.data_dir
+      assert_equal File.join("/st", "hive"),  Hive::Paths.state_dir
+      assert_equal File.join("/ck", "hive"),  Hive::Paths.cache_dir
+    end
+  end
+
+  def test_paths_treat_blank_env_override_as_unset
+    with_home do |h|
+      ENV["XDG_CONFIG_HOME"] = ""
+      assert_equal File.join(h, ".config", "hive"), Hive::Paths.config_dir,
+                   "a set-but-blank XDG_CONFIG_HOME must fall back to the default"
+    end
+  end
+
+  def test_config_hive_home_resolves_to_xdg_state_when_hive_home_unset
+    with_home do |h|
+      ENV.delete("HIVE_HOME")
+      assert_equal File.join(h, ".local", "state", "hive"), Hive::Config.hive_home
+    end
+  end
+
+  def test_config_hive_home_honors_explicit_hive_home
+    with_home do |_h|
+      ENV["HIVE_HOME"] = "/custom"
+      assert_equal "/custom", Hive::Config.hive_home
+    end
+  end
+
+  def test_config_hive_home_treats_blank_hive_home_as_unset
+    with_home do |h|
+      ENV["HIVE_HOME"] = ""
+      assert_equal File.join(h, ".local", "state", "hive"), Hive::Config.hive_home,
+                   "a set-but-blank HIVE_HOME must not yank the install back to a legacy home"
+    end
+  end
+
+  # U2 test scenario 1: `XDG_CONFIG_HOME=/tmp/xdg` → global config lives
+  # under /tmp/xdg/hive/config.yml, never ~/Dev/hive.
+  def test_global_config_write_path_honors_xdg_config_home
+    with_home do |_h|
+      ENV["XDG_CONFIG_HOME"] = "/tmp/xdg"
+      ENV.delete("HIVE_HOME")
+      assert_equal File.join("/tmp/xdg", "hive", "config.yml"), Hive::Config.global_config_write_path
+    end
+  end
+
+  def test_global_config_path_resolves_to_xdg_when_it_exists
+    with_home do |_h|
+      ENV.delete("HIVE_HOME")
+      with_tmp_dir do |dir|
+        ENV["XDG_CONFIG_HOME"] = dir
+        FileUtils.mkdir_p(Hive::Paths.config_dir)
+        File.write(Hive::Paths.config_path, { "registered_projects" => [] }.to_yaml)
+        assert_equal Hive::Paths.config_path, Hive::Config.global_config_path
+      end
+    end
+  end
+
+  # U2 test scenario 2: no XDG config but legacy ~/Dev/hive/config.yml
+  # present → still loaded (back-compat), and a one-time notice is emitted.
+  def test_global_config_path_falls_back_to_legacy_path
+    with_home do |_h|
+      ENV.delete("HIVE_HOME")
+      # The legacy path is deterministic relative to a real temp HOME:
+      # ~/Dev/hive/config.yml under the temp home.
+      ENV["XDG_CONFIG_HOME"] = File.join(Dir.mktmpdir("xdg"), "nope")
+      legacy = File.expand_path("~/Dev/hive/config.yml")
+      FileUtils.mkdir_p(File.dirname(legacy))
+      File.write(legacy, { "registered_projects" => [] }.to_yaml)
+
+      refute File.exist?(Hive::Paths.config_path), "setup: XDG config must be absent"
+      assert_equal legacy, Hive::Config.global_config_path
+      assert Hive::Config.using_legacy_global_config?, "legacy fallback must be flagged"
+    end
+  end
+
+  def test_using_legacy_global_config_false_when_hive_home_explicit
+    with_home do |_h|
+      ENV["HIVE_HOME"] = "/custom"
+      assert_equal false, Hive::Config.using_legacy_global_config?,
+                   "explicit HIVE_HOME must never be treated as the legacy default"
+    end
+  end
+
+  # U2 test scenario 3 (packaged simulation): templates/ schemas resolve
+  # from the XDG data dir when the source tree is "stripped".
+  def test_schema_dir_resolves_installed_data_dir_first
+    with_home do |_h|
+      ENV.delete("HIVE_HOME")
+      with_tmp_dir do |dir|
+        ENV["XDG_DATA_HOME"] = dir
+        installed = Hive::Paths.schemas_dir
+        FileUtils.mkdir_p(installed)
+        assert_equal installed, Hive::Schemas.schema_dir
+      end
+    end
+  end
+
+  def test_schema_dir_falls_back_to_source_tree_when_data_dir_absent
+    with_home do |_h|
+      ENV.delete("HIVE_HOME")
+      ENV["XDG_DATA_HOME"] = Dir.mktmpdir("xdg")
+      refute File.directory?(Hive::Paths.schemas_dir), "setup: data dir must be absent"
+      assert_equal File.join(REPO_ROOT, "schemas"), Hive::Schemas.schema_dir
+    end
+  end
+
+  def test_builtin_template_path_resolves_installed_dir_first
+    with_home do |_h|
+      ENV["XDG_DATA_HOME"] = Dir.mktmpdir("xdg")
+      installed = Hive::Paths.templates_dir
+      FileUtils.mkdir_p(installed)
+      File.write(File.join(installed, "probe.md.erb"), "installed")
+      assert_equal File.join(installed, "probe.md.erb"),
+                   Hive::Stages::Base.builtin_template_path("probe.md.erb")
+    end
+  end
+
+  def test_builtin_template_path_falls_back_to_source_tree
+    with_home do |_h|
+      ENV["XDG_DATA_HOME"] = Dir.mktmpdir("xdg")
+      refute File.directory?(Hive::Paths.templates_dir), "setup: data dir must be absent"
+      name = "fix_prompt.md.erb"
+      assert_equal File.join(REPO_ROOT, "templates", name),
+                   Hive::Stages::Base.builtin_template_path(name)
+    end
+  end
+
+  # End-to-end: registering a project under XDG (HIVE_HOME unset) writes to
+  # the XDG config path, not ~/Dev/hive.
+  def test_register_project_writes_to_xdg_config_dir
+    with_home do |_h|
+      ENV["HIVE_HOME"] = nil
+      with_tmp_dir do |dir|
+        ENV["XDG_CONFIG_HOME"] = dir
+        with_tmp_dir do |proj|
+          Hive::Config.register_project(name: "x", path: proj)
+          assert File.exist?(Hive::Paths.config_path), "global config must land in XDG config dir"
+          assert Hive::Config.registered_projects.any? { |e| e["name"] == "x" }
+        end
+      end
+    end
+  end
+end
\ No newline at end of file
diff --git a/test/unit/service_test.rb b/test/unit/service_test.rb
new file mode 100644
index 000000000..5958cdce6
--- /dev/null
+++ b/test/unit/service_test.rb
@@ -0,0 +1,126 @@
+require "test_helper"
+require "hive/service"
+
+# U3 — daemon service registration. Verifies launchd/systemd-user unit
+# generation, path resolution, and the enable+start command surface.
+class ServiceTest < Minitest::Test
+  include HiveTestHelper
+
+  def setup
+    @home = Dir.mktmpdir("hive-service-home")
+    Hive::Service.home_override = @home
+  end
+
+  def teardown
+    Hive::Service.home_override = nil
+    FileUtils.rm_rf(@home) if @home
+  end
+
+  def with_hive_bin(path)
+    old = ENV["HIVE_BIN"]
+    ENV["HIVE_BIN"] = path
+    yield
+  ensure
+    old ? ENV["HIVE_BIN"] = old : ENV.delete("HIVE_BIN")
+  end
+
+  def test_unit_paths_follow_platform
+    # macOS branch
+    old = RUBY_PLATFORM
+    stub_platform("arm64-darwin24") do
+      assert_equal File.join(@home, "Library", "LaunchAgents", "local.hive-daemon.plist"),
+                   Hive::Service.unit_path
+      assert_equal "local.hive-daemon", Hive::Service.unit_name
+      assert_equal [ "launchctl load -w #{Hive::Service.unit_path}" ],
+                   Hive::Service.enable_start_commands
+    end
+  ensure
+    Hive::Service.home_override = @home
+  end
+
+  def test_systemd_unit_path_and_enable_commands_on_linux
+    stub_platform("x86_64-linux") do
+      unit = File.join(@home, ".config", "systemd", "user", "hive-daemon.service")
+      assert_equal unit, Hive::Service.unit_path
+      assert_equal "hive-daemon", Hive::Service.unit_name
+      assert_equal(
+        [ "systemctl --user daemon-reload",
+          "systemctl --user enable --now hive-daemon.service" ],
+        Hive::Service.enable_start_commands
+      )
+    end
+  end
+
+  def test_binary_path_prefers_hive_bin_override
+    stub_platform("x86_64-linux") do
+      with_hive_bin("/opt/homebrew/bin/hive") do
+        assert_equal "/opt/homebrew/bin/hive", Hive::Service.binary_path
+      end
+    end
+  end
+
+  def test_binary_path_falls_back_to_xdg_bin_dir
+    stub_platform("x86_64-linux") do
+      with_hive_bin(nil) do
+        assert_equal File.join(Hive::Paths.bin_dir, "hive"), Hive::Service.binary_path
+      end
+    end
+  end
+
+  def test_generate_writes_systemd_unit_with_resolved_binary
+    stub_platform("x86_64-linux") do
+      with_hive_bin("/usr/local/bin/hive") do
+        path = Hive::Service.generate
+        assert File.exist?(path)
+        content = File.read(path)
+        assert_includes content, "[Unit]"
+        assert_includes content, "[Service]"
+        assert_includes content, "ExecStart=/usr/local/bin/hive daemon start"
+        assert_includes content, "StartLimitBurst=5"
+        assert_includes content, "[Install]"
+        assert_includes content, "WantedBy=default.target"
+      end
+    end
+  end
+
+  def test_generate_writes_launchd_plist_on_macos
+    stub_platform("arm64-darwin24") do
+      with_hive_bin("/opt/homebrew/bin/hive") do
+        path = Hive::Service.generate
+        assert File.exist?(path)
+        content = File.read(path)
+        assert_includes content, "local.hive-daemon"
+        assert_includes content, "/opt/homebrew/bin/hive"
+        assert_includes content, "daemon"
+        assert_includes content, "start"
+        assert_includes content, "RunAtLoad"
+      end
+    end
+  end
+
+  def test_generate_creates_units_only_behind_explicit_opt_in
+    # The unit is written by generate; enable/start is a separate prompt
+    # surface (enable_start_commands) that is never auto-executed here.
+    stub_platform("x86_64-linux") do
+      with_hive_bin("/usr/local/bin/hive") do
+        Hive::Service.generate
+        refute Hive::Service.enable_start_commands.empty?,
+               "enable/start commands must exist for the caller to run behind a prompt"
+      end
+    end
+  end
+
+  private
+
+  def stub_platform(platform)
+    Hive::Service.singleton_class.alias_method(:__orig_macos?, :macos?)
+    Hive::Service.define_singleton_method(:macos?) { platform.include?("darwin") }
+    yield
+  ensure
+    if Hive::Service.singleton_class.method_defined?(:__orig_macos?)
+      Hive::Service.define_singleton_method(:macos?, Hive::Service.singleton_class.instance_method(:__orig_macos?))
+      Hive::Service.singleton_class.send(:remove_method, :__orig_macos?)
+      RUBY_PLATFORM
+    end
+  end
+end
\ No newline at end of file
